printHead {limma} | R Documentation

## Print Leading Rows of Large Objects

### Description

Print the leading rows of a large vector, matrix or data.frame. This function is used by `show` methods for data classes defined in LIMMA.

### Usage

    printHead(x)

### Arguments

`x` | any object

### Details

If `x` is a vector with more than 20 elements, then `printHead(x)` prints only the first 5 elements. If `x` is a matrix or data.frame with more than 10 rows, then `printHead(x)` prints only the first 5 rows. Any other type of object is printed normally.

### Author(s)

Gordon Smyth

### See Also

An overview of classes defined in LIMMA is given in 02.Classes

[Package limma version 2.16.5 Index]